package com.ruoyi.system.mapper;

import org.apache.ibatis.annotations.Param;
import java.util.List;
import com.ruoyi.system.api.domain.SysUser;

public interface SysUserMapper
{
    List<SysUser> selectUserList(final SysUser p0);
    
    List<SysUser> selectList(final SysUser p0);
    
    List<SysUser> selectAllocatedList(final SysUser p0);
    
    List<SysUser> selectUnallocatedList(final SysUser p0);
    
    SysUser selectUserByUserName(final String p0);
    
    SysUser selectUserById(final Long p0);
    
    int insertUser(final SysUser p0);
    
    int updateUser(final SysUser p0);
    
    int updateUserAvatar(@Param("userName") final String p0, @Param("avatar") final String p1);
    
    int resetUserPwd(@Param("userName") final String p0, @Param("password") final String p1);
    
    int deleteUserById(final Long p0);
    
    int deleteUserByIds(final Long[] p0);
    
    SysUser checkUserNameUnique(final String p0);
    
    SysUser checkPhoneUnique(final String p0);
    
    SysUser checkEmailUnique(final String p0);
    
    void updateUserCloakId(@Param("dealerId") final Long p0, @Param("cloakId") final String p1);
}
